# $Revision: 1.8.2.2 $, $Date: 2003/08/09 11:29:38 $
Summary:	Rsync libraries
Summary(pl):	Biblioteki rsync
Name:		librsync
Version:	0.9.6
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/librsync/%{name}-%{version}.tar.gz
# Source0-md5:	b2e7fb16f1e8f66f8397928dcc0436c8
Patch0:		%{name}-ac.patch
URL:		http://librsync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%description -l pl
librsync jest implementacj algorytmu rsync, pozwalajcego na zdalne
porwnywanie plikw binarnych. librsync liczy rnice sum kontrolnych
plikw, wic nie wymaga obecnoci obu plikw do sprawdzenia rnic.

Ta biblioteka bya wczeniej znana jako libhsync, do wersji 0.9.0
wcznie.

Ta wersja nie ma implementacji sieciowego protokou rsync i uywa
formatu delt nieco wydajniejszego i niekompatybilnego z rsyncem w
wersji 2.4.6.

%package devel
Summary:	Headers for librsync
Summary(pl):	Pliki nagwkowe librsync
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains header files necessary for developing programs
based on librsync.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do budowania programw
uywajacych librsync.

%package static
Summary:	Static librsync library
Summary(pl):	Statyczna biblioteka librsync
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static librsync library.

%description static -l pl
Statyczna biblioteka librsync.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared

%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

install -D rdiff $RPM_BUILD_ROOT%{_bindir}/rdiff

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/rdiff
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/rdiff.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librsync.spec,v $
Revision 1.8.2.2  2003/08/09 11:29:38  areq
- 0.9.6 (merge from HEAD)
- add ac.pach need for RA

Revision 1.15  2003/08/09 09:04:39  areq
- 0.9.6
- update URL

Revision 1.14  2003/07/03 14:40:44  qboosh
- standardized sf URLs, other cleanups

Revision 1.13  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/15 18:48:00  misiek
- no gettext

Revision 1.10  2002/11/25 14:17:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/10/09 10:22:10  qboosh
- BR: gettext-devel

Revision 1.8  2002/07/20 22:38:39  marcus
- now builds with ac2.53/am1.6
- rel.2.

Revision 1.7  2002/07/13 22:44:57  areq
- 0.9.5.1, STBR
- source from http://rdiff-backup.stanford.edu/librsync-0.9.5.1.tar.gz
  ( Unfortunately the current official version of librsync leaks a lot
    of memory)

Revision 1.6  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.5  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:13:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/17 12:18:59  qboosh
- remaining pl translations; release 2

Revision 1.2  2002/05/15 16:11:51  kloczek
- enable building shared library,
- added static subpackage.
- some small improvments and cosmetcs.

Revision 1.1  2002/05/15 11:13:27  areq
- Init PLD spec
